org.richfaces.context

## Enum ExtendedVisitContextMode

- java.lang.Object
- - java.lang.Enum<ExtendedVisitContextMode>
  - - org.richfaces.context.ExtendedVisitContextMode

- All Implemented Interfaces:
    Serializable, Comparable<ExtendedVisitContextMode>

      public enum ExtendedVisitContextMode
      extends Enum<ExtendedVisitContextMode>

  Denotes a current visit mode
  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXECUTE` all phases except rendering
    `RENDER` rendering phase

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExtendedVisitContextMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExtendedVisitContextMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXECUTE

          public static final ExtendedVisitContextMode EXECUTE

      all phases except rendering

    - #### RENDER

          public static final ExtendedVisitContextMode RENDER

      rendering phase

  - ### Method Detail

    - #### values

          public static ExtendedVisitContextMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtendedVisitContextMode c : ExtendedVisitContextMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtendedVisitContextMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.